| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
IListener Struct Referenceabstract

`#include <IListeners.hpp>`

## Public Member Functions

virtual | ~IListener ()=default
virtual void | on_statistics_data (const Data &statistics_data)=0

## Constructor & Destructor Documentation

## ◆ ~IListener()

virtual ~IListener | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ on_statistics_data()

virtual void on_statistics_data | ( | const Data & | statistics_data | ) |

pure virtual

The documentation for this struct was generated from the following file:

- include/fastdds/statistics/IListeners.hpp